Bug 12537 - Editions tab showing on bibs with more than one ISBN
Summary: Editions tab showing on bibs with more than one ISBN
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-07 14:14 UTC by Nicole C. Engard
Modified: 2019-08-06 19:30 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
editions tab showing (78.08 KB, image/png)
2014-07-07 14:14 UTC, Nicole C. Engard
Details
Bug 12537: Don't retrieve XISBN results for the same biblionumber (4.16 KB, patch)
2019-06-10 18:58 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 12537: Don't retrieve XISBN results for the same biblionumber (4.21 KB, patch)
2019-06-11 01:30 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 12537: Don't retrieve XISBN results for the same biblionumber (4.25 KB, patch)
2019-06-14 19:30 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 12537: Don't retrieve XISBN results for the same biblionumber (4.30 KB, patch)
2019-06-28 21:00 UTC, Arthur Bousquet
Details | Diff | Splinter Review
Bug 12537: Don't retrieve XISBN results for the same biblionumber (4.39 KB, patch)
2019-07-06 12:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-07-07 14:14:45 UTC
Created attachment 29549 [details]
editions tab showing

When a record has more than one ISBN it shows the Editions tab in the OPAC and it links to the exact same record. It's not a different edition.
Comment 1 Owen Leonard 2014-07-09 16:12:36 UTC
Correction: When a record has more than one ISBN it *sometimes* shows the Editions tab and links to the same record. The reason why it only happens sometimes is probably significant.
Comment 2 Matthew Shellenbarger 2019-02-08 15:48:51 UTC
I was looking back at an old open bywater ticket and noticed this bug. Is there any plans to patch this bug in the near future?
Comment 3 Nick Clemens 2019-06-10 18:58:40 UTC
Created attachment 90464 [details] [review]
Bug 12537: Don't retrieve XISBN results for the same biblionumber

For a biblio with multiple ISBNS we sometimes get our own record back when
check XISBN, we should test for this

To test:
1 - Edit a record in the catalogue, add two isbns:
     0521240670
     0521284198
2 - Enable ThingISBN and FRBRizeEditions and OPACFRBRizeEditions
3 - View the record in staff and OPAC
4 - You should see editions tab pointing to the same record
5 - Apply patch
6 - Reload the record details, you should no longer see editions tab
7 - Add the second ISBN to another record
8 - Reload details for original record, you shoudl see editions linking to the record with second ISBN
9 - prove -v t/db_dependent/XISBN.t

NOTE: Current tests don't work under elasticsearch, but the code does, tests should be rewritten on another bug
Comment 4 M. Tompsett 2019-06-11 01:30:21 UTC
Created attachment 90468 [details] [review]
Bug 12537: Don't retrieve XISBN results for the same biblionumber

For a biblio with multiple ISBNS we sometimes get our own record back when
check XISBN, we should test for this

To test:
1 - Edit a record in the catalogue, add two isbns:
     0521240670
     0521284198
2 - Enable ThingISBN and FRBRizeEditions and OPACFRBRizeEditions
3 - View the record in staff and OPAC
4 - You should see editions tab pointing to the same record
5 - Apply patch
6 - Reload the record details, you should no longer see editions tab
7 - Add the second ISBN to another record
8 - Reload details for original record, you shoudl see editions linking to the record with second ISBN
9 - prove -v t/db_dependent/XISBN.t

NOTE: Current tests don't work under elasticsearch, but the code does, tests should be rewritten on another bug

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 5 Bouzid Fergani 2019-06-14 19:30:53 UTC
Created attachment 90629 [details] [review]
Bug 12537: Don't retrieve XISBN results for the same biblionumber

For a biblio with multiple ISBNS we sometimes get our own record back when
check XISBN, we should test for this

To test:
1 - Edit a record in the catalogue, add two isbns:
     0521240670
     0521284198
2 - Enable ThingISBN and FRBRizeEditions and OPACFRBRizeEditions
3 - View the record in staff and OPAC
4 - You should see editions tab pointing to the same record
5 - Apply patch
6 - Reload the record details, you should no longer see editions tab
7 - Add the second ISBN to another record
8 - Reload details for original record, you shoudl see editions linking to the record with second ISBN
9 - prove -v t/db_dependent/XISBN.t

NOTE: Current tests don't work under elasticsearch, but the code does, tests should be rewritten on another bug

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>
Comment 6 Arthur Bousquet 2019-06-28 21:00:40 UTC
Created attachment 91125 [details] [review]
Bug 12537: Don't retrieve XISBN results for the same biblionumber

For a biblio with multiple ISBNS we sometimes get our own record back when
check XISBN, we should test for this

To test:
1 - Edit a record in the catalogue, add two isbns:
     0521240670
     0521284198
2 - Enable ThingISBN and FRBRizeEditions and OPACFRBRizeEditions
3 - View the record in staff and OPAC
4 - You should see editions tab pointing to the same record
5 - Apply patch
6 - Reload the record details, you should no longer see editions tab
7 - Add the second ISBN to another record
8 - Reload details for original record, you shoudl see editions linking to the record with second ISBN
9 - prove -v t/db_dependent/XISBN.t

NOTE: Current tests don't work under elasticsearch, but the code does, tests should be rewritten on another bug

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>
Signed-off-by: Arthur Bousquet <arthur.bousquet@inlibro.com>
Comment 7 Katrin Fischer 2019-07-06 12:37:05 UTC
Created attachment 91393 [details] [review]
Bug 12537: Don't retrieve XISBN results for the same biblionumber

For a biblio with multiple ISBNS we sometimes get our own record back when
check XISBN, we should test for this

To test:
1 - Edit a record in the catalogue, add two isbns:
     0521240670
     0521284198
2 - Enable ThingISBN and FRBRizeEditions and OPACFRBRizeEditions
3 - View the record in staff and OPAC
4 - You should see editions tab pointing to the same record
5 - Apply patch
6 - Reload the record details, you should no longer see editions tab
7 - Add the second ISBN to another record
8 - Reload details for original record, you shoudl see editions linking to the record with second ISBN
9 - prove -v t/db_dependent/XISBN.t

NOTE: Current tests don't work under elasticsearch, but the code does, tests should be rewritten on another bug

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>
Signed-off-by: Arthur Bousquet <arthur.bousquet@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Martin Renvoize 2019-07-15 11:21:08 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Fridolin SOMERS 2019-07-30 06:14:48 UTC
Pushed to 19.05.x for 19.05.03
Comment 10 Lucas Gass 2019-08-06 19:30:26 UTC
backported to 18.11.x for 18.11.09